View Issue Details

IDProjectCategoryView StatusLast Update
0000063WolfAdminPlayerspublic2019-01-31 18:45
ReporterTimoAssigned ToTimo 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2.0 
Summary0000063: Rewrite stats module
Description* Clean up the amount of variables currently used (no 'playerTeam' stuff, use entities/utility functions maybe)
* Save data in subtables probably (useful for future)
* Persistence

TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Activities

There are no notes attached to this issue.

Related Changesets

WolfAdmin: develop/1.2.0 441e4cf7

2016-09-04 10:20:21

Timo

Details Diff
Decoupled player handling from admin and stats module (issue 0000063) Affected Issues
0000063
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/game/game.lua Diff File
mod - luascripts/main.lua Diff File
mod - luascripts/players/greetings.lua Diff File
add - luascripts/players/players.lua Diff File
mod - luascripts/players/stats.lua Diff File
mod - luascripts/util/events.lua Diff File

WolfAdmin: develop/1.2.0 02dd69ef

2016-11-15 14:33:58

Timo Smit

Details Diff
Reworked sprees module so it doesn't make use of stats anymore (issue 0000063) Affected Issues
0000063
mod - luascripts/game/sprees.lua Diff File

WolfAdmin: develop/1.2.0 4145dd87

2016-11-15 14:41:47

Timo Smit

Details Diff
Removed dependencies on stats module (issue 0000063) Affected Issues
0000063
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/commands/admin/listplayers.lua Diff File
mod - luascripts/commands/admin/plock.lua Diff File
mod - luascripts/commands/admin/punlock.lua Diff File
mod - luascripts/commands/commands.lua Diff File
mod - luascripts/game/game.lua Diff File
mod - luascripts/players/players.lua Diff File

Issue History

Date Modified Username Field Change
2016-09-02 16:27 Timo New Issue
2017-01-21 09:54 Timo Target Version 1.2.0 =>
2019-01-17 10:06 Timo Assigned To => Timo
2019-01-17 10:06 Timo Status new => resolved
2019-01-17 10:06 Timo Resolution open => fixed
2019-01-17 10:06 Timo Fixed in Version => 1.2.0
2019-01-31 18:45 Timo Category General => Players